=== alex/Makefile ===
TOP = .
include $(TOP)/mk/boilerplate.mk

SUBDIRS = src templates doc

include $(TOP)/mk/target.mk
