=== alex/doc/Makefile ===
TOP=../..
include $(TOP)/mk/boilerplate.mk

SGML_DOC = alex
INSTALL_SGML_DOC = alex

include $(TOP)/mk/target.mk
