=== alex/src/Makefile ===
TOP = ..
include $(TOP)/mk/boilerplate.mk

INSTALLING=1

HS_PROG = alex.bin

Main_HC_OPTS = -DALEX_VERSION=$(ProjectVersion)

ifeq "$(INSTALLING)" "1"
ifeq "$(BIN_DIST)"   "1"
ALEXLIB=$$\"\"libdir
ALEXBIN=$$\"\"libexecdir/$(HS_PROG)
else
ALEXLIB=$(libdir)
ALEXBIN=$(libexecdir)/$(HS_PROG)
endif # BIN_DIST
else
ALEXLIB=$(FPTOOLS_TOP_ABS)/alex/templates
ALEXBIN=$(FPTOOLS_TOP_ABS)/alex/src/$(HS_PROG)
endif

INSTALLED_SCRIPT_PROG  = alex-$(ProjectVersion)
INPLACE_SCRIPT_PROG    = alex-inplace

ifeq "$(INSTALLING)" "1"
TOP_PWD 	:= $(prefix)
SCRIPT_PROG 	=  $(INSTALLED_SCRIPT_PROG)
LINK	 	=  alex
else
TOP_PWD 	:= $(FPTOOLS_TOP_ABS)
SCRIPT_PROG 	=  $(INPLACE_SCRIPT_PROG)
endif

SCRIPT_OBJS=alex.sh

INTERP=$(SHELL)

SCRIPT_SUBST_VARS = 	\
	ALEXLIB	\
	ALEXBIN

INSTALL_SCRIPTS += $(SCRIPT_PROG)
INSTALL_LIBEXECS = $(HS_PROG)

# don't recurse on 'make install'
#
ifeq "$(INSTALLING)" "1"
all clean distclean maintainer-clean ::
	$(MAKE) INSTALLING=0 BIN_DIST=0 $(MFLAGS) $@
endif

# -----------------------------------------------------------------------------
# Testing

cmp :: Scan.hs
	./alex-inplace Scan.x -o Scan.hs-CMP
	cmp Scan.hs Scan.hs-CMP

CLEAN_FILES += Scan.hs-CMP

# -----------------------------------------------------------------------------

include $(TOP)/mk/target.mk
