=== docs/ffi-art/Makefile ===
TOP = ../..
include $(TOP)/mk/boilerplate.mk

SGML_DOC = ffi-art
INSTALL_SGML_DOC = ffi-art

include $(TOP)/mk/target.mk
