=== glafp-utils/mkdirhier/Makefile ===
#
#

TOP=..
include $(TOP)/mk/boilerplate.mk

SCRIPT_PROG=mkdirhier
SCRIPT_OBJS=mkdirhier.sh
INTERP=$(SHELL)
CLEAN_FILES += $(SCRIPT_PROG)

include $(TOP)/mk/target.mk
