=== glafp-utils/nofib-analyse/Makefile ===
# -----------------------------------------------------------------------------
# $Id: Makefile,v 1.5 2002/03/14 17:10:14 simonmar Exp $
# (c) Simon Marlow 1999-2000

TOP=..
include $(TOP)/mk/boilerplate.mk

SRC_HC_OPTS    += -fglasgow-exts -package util -package data -package text -cpp
HS_PROG		= nofib-analyse

include $(TOP)/mk/target.mk
