## alex 2.0.1

=== alex/doc/Makefile ===
TOP=..
include $(TOP)/mk/boilerplate.mk

XML_DOC = alex
INSTALL_XML_DOC = alex

include $(TOP)/mk/target.mk
