=== alex/src/Makefile ===
--- 
+++ 
@@ -3,9 +3,33 @@
 
 INSTALLING=1
 
-HS_PROG = alex.bin
+ifeq "$(TARGETPLATFORM)" "i386-unknown-mingw32"
+HS_PROG_EXT = .exe
+else
+HS_PROG_EXT = .bin
+endif
 
-Main_HC_OPTS = -DALEX_VERSION=$(ProjectVersion)
+HS_PROG = alex$(HS_PROG_EXT)
+
+ifeq "$(Windows)" "YES"
+Main_HC_OPTS += -Dmingw32_HOST_OS=1
+endif
+
+# -----------------------------------------------------------------------------=
+# Create the Version.hs file
+
+VERSION_HS = Version.hs
+EXTRA_SRCS += $(VERSION_HS)
+
+boot :: $(VERSION_HS)
+
+Version.hs : $(TOP)/mk/version.mk
+	@$(RM) -f $(VERSION_HS)
+	@echo "Creating $(VERSION_HS) ... "
+	@echo "module Version where" >>$(VERSION_HS)
+	@echo "version = \"$(ProjectVersion)\"" >> $(VERSION_HS)
+
+# -----------------------------------------------------------------------------
 
 ifeq "$(INSTALLING)" "1"
 ifeq "$(BIN_DIST)"   "1"
@@ -26,7 +50,9 @@
 ifeq "$(INSTALLING)" "1"
 TOP_PWD 	:= $(prefix)
 SCRIPT_PROG 	=  $(INSTALLED_SCRIPT_PROG)
+ifneq "$(TARGETPLATFORM)" "i386-unknown-mingw32"
 LINK	 	=  alex
+endif
 else
 TOP_PWD 	:= $(FPTOOLS_TOP_ABS)
 SCRIPT_PROG 	=  $(INPLACE_SCRIPT_PROG)
@@ -40,8 +66,16 @@
 	ALEXLIB	\
 	ALEXBIN
 
+# The script isn't installed on Windows; we run the binary directly
+ifeq "$(Windows)" "NO"
 INSTALL_SCRIPTS += $(SCRIPT_PROG)
+endif
+
 INSTALL_LIBEXECS = $(HS_PROG)
+
+# Hack to avoid automatic cleaning machinery from cleaning Scan.hs
+#
+DERIVED_ALEX_SRCS = 
 
 # don't recurse on 'make install'
 #
