## alex 2.3.3

=== debian/changelog ===
alex (2.3.3-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream version.

  [ Joachim Breitner ]
  * Source format 3.0 (quilt)

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 31 Mar 2010 21:10:35 +1100

alex (2.3.2-1) unstable; urgency=low

  * New upstream version.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 12 Mar 2010 20:25:20 +1100

alex (2.3.1-3) unstable; urgency=low

  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Bump version of Build-Depends: on haskell-devscripts
    to 0.7 and remove versioned Build-Depends: on ghc6.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sun, 21 Feb 2010 09:30:03 -0300

alex (2.3.1-2) unstable; urgency=low

  * debian/control: Add forgotten build-deps on autoconf, alex and happy to
    resolve FTBFS (Closes: #551233)

 -- Iain Lane <laney@ubuntu.com>  Fri, 16 Oct 2009 20:45:30 +0100

alex (2.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #530313)
  * Let watchfile point to hackage 
  * Adopt for the Debian Haskell Group and adjust packaging.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 05 Oct 2009 17:22:19 +0200

alex (2.2-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: Not in scope: `buildVerbose'", thanks to Matt Kraai for the
    patch (Closes: #516277)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 18 Mar 2009 19:01:37 +0100

alex (2.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #464360)
    - Cabal 1.2 is now required. (Closes: #460388)
    - ByteString wrappers: use Alex to lex ByteStrings directly.
    - Fixes a spelling mistake. (Closes: #419671)
  * debian/control:
    - Added Homepage field.
    - Bump the build dependency on ghc6 to 6.8.2 as the packages needs
      Cabal 1.2 to build.
    - Bump the Standards-Version to 3.7.3. No changes needed.
  * debian/copyright:
    - Fix debian-copyright-file-uses-obsolete-national-encoding lintian
      warning.
    - Update debian/copyright file with info from upstream LICENSE file.
  * debian/get_version.hs: Updated for Cabal 1.2
  * debian/rules: 
    - Fix debian-rules-ignores-make-clean-error lintian warning.
    - Remove the LICENSE installed by ./setup copy
  * Add debian/watch file.

 -- Arjan Oosting <arjan@debian.org>  Sun, 27 Apr 2008 15:31:08 +0200

alex (2.1.0~rc1-1) unstable; urgency=low

  * New upstream (release candidate) version.
  * Removed alex/ prefixes from various paths in debian/rules.
  * doc/configure generated by autoconf is in the Debian diff.
  * Build using cabal:
    * Various debian/rules changes.
    * Create debian/get_version.hs for extracting the version from the cabal
      file.
    * Requires ghc6 >= 6.4.2.
    * No longer tries to detect platform. Closes: #332980, #340326.
  * Add 'XSLTPROC_OPTS = --nonet' to doc/config.mk.in.
  * Remove src/Parser.y and src/Scan.x before cleaning so the generated
    files don't get cleaned.
  * Set Standards-Version to 3.7.2 (no changes needed).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 26 Oct 2006 17:28:46 +0000

alex (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * Compiled against new libgmp3-dev.
  * Add build-deps on xsltproc, docbook-xml and docbook-xsl.
  * Remove ps from "$(MAKE) -C alex/doc ps html" in debian/rules as
    the ps docs don't build.
  * Only copy the HTML docs into the install directory as the other
    aren't built.
  * index.html is now built for us, so we don't need to symlink
    alex.html to it.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 18 Sep 2005 20:11:47 +0000

alex (2.0-3) unstable; urgency=low

  * Added x86_64 Linux to configure{,.in}. Closes: #253167.
  * Remove unportable {,} syntax from debian/rules.
  * Delete alex/doc/alex.out in clean target.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 15 Jul 2004 21:25:08 +0000

alex (2.0-2) unstable; urgency=low

  * Added s390, m68k, mips, hppa, arm and powerpc Linux to configure{,.in}

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 01 Oct 2003 12:31:01 +0000

alex (2.0-1) unstable; urgency=low

  * Initial release. Closes: #151044.
  * Changed configure{,.in} to not require flex.
  * Wrote manpage for alex(1).
  * Fix references to happy/parsers and version/verbose confusion in the docs.
  * Changed wrapper to use $@ and ${1+"$@"} rather than $*
  * When giving usage info, always use the name "alex" (otherwise
    alex.bin is given).
  * Add sparc case to configure{,.in}.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 09 Sep 2003 15:14:27 +0000
