=== debian/control ===
Source: alex
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Standards-Version: 3.8.4
Build-Depends: cdbs (>= 0.4.59), 
               haskell-devscripts (>= 0.7),
               debhelper (>= 7),
               ghc6,
               alex,
               happy,
               jade,
               docbook-utils,
               docbook-xsl,
               docbook-xml,
               xsltproc,
               autoconf
Homepage: http://www.haskell.org/alex/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/alex
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/alex

Package: alex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lexical analyser generator for Haskell
 Alex is a tool for generating lexical analysers in Haskell, given a
 description of the tokens to be recognised in the form of regular
 expressions. It is similar to the tool lex or flex for C/C++.
