=== debian/changelog ===
alex (2.3.5-3) unstable; urgency=low

  * Update fix-bang-pattern.diff patch to add LANGUAGE option BanPatterns to
    generated code (Closes: #635113).
  * debian/control: Standards version (no changes required).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 24 Jul 2011 14:15:36 +1000

alex (2.3.5-2) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * Fix generated haskell code so it doesn't fail with -Werror
    (Closes: #623067).

  [ Giovanni Mascellani ]
  * Team upload.

 -- Giovanni Mascellani <gio@debian.org>  Sun, 17 Apr 2011 10:56:54 +0200

alex (2.3.5-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * Remove patches/00-fix-warnings-on-big-endian.diff (fixed upstream).

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Mar 2011 13:43:36 +0530

alex (2.3.3-2) experimental; urgency=low

  * Fix warnings in alex generated code on big endian systems (Closes: #594181).
  * debian/control: Bump Standards-Version: to 3.9.1, no changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sat, 30 Oct 2010 21:16:14 +1100
