=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: cdbs (>= 0.4.59), 
+Standards-Version: 3.9.2
+Build-Depends: cdbs (>= 0.4.59),
                haskell-devscripts (>= 0.7),
                debhelper (>= 7),
-               ghc6,
+               ghc,
                alex,
                happy,
                jade,
