=== debian/rules ===
--- 
+++ 
@@ -28,16 +28,16 @@
 	cd doc && autoconf && rm -r autom4te.cache &&  ./configure --prefix=/usr
 
 	# used in build to stick version into man page
-	ghc6 --make debian/get_version.hs -o debian/get_version
+	ghc --make debian/get_version.hs -o debian/get_version
 
-build/alex:: build-ghc6-stamp
+build/alex:: build-ghc-stamp
 	$(MAKE) -C doc html
 	sed -e "s#@LIBDIR@#/usr/lib/alex-`debian/get_version`#g" \
 	    -e "s#@DOCDIR@#/usr/share/doc/alex#g" \
 	    -e "s#@VERSION@#`debian/get_version`#g" \
 	  doc/alex.1.in > doc/alex.1
 
-install/alex:: debian/tmp-inst-ghc6
+install/alex:: debian/tmp-inst-ghc
 	dh_installdirs usr/share/doc/alex/html
 	cp -a doc/alex/* `pwd`/debian/`dh_listpackages`/usr/share/doc/alex/html
