=== debian/changelog ===
alex (3.0.1-1) unstable; urgency=low

  * New upstream release.  closes: #638988.
  * Update fix-bang-pattern.diff.
  * Add build dependency on libghc-quickcheck2-dev.

 -- Clint Adams <clint@debian.org>  Tue, 23 Aug 2011 11:21:06 -0400
