=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>
+Uploaders: Joachim Breitner <nomeata@debian.org>, Clint Adams <clint@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: cdbs (>= 0.4.59),
                haskell-devscripts (>= 0.7),
@@ -15,7 +15,8 @@
                docbook-xsl,
                docbook-xml,
                xsltproc,
-               autoconf
+               autoconf,
+               libghc-quickcheck2-dev
 Homepage: http://www.haskell.org/alex/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/alex
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/alex
