## alex 3.0.5

=== debian/changelog ===
alex (3.0.5-2) unstable; urgency=low

  * /usr/share/alex-3.0.5 -> /usr/share/alex
  * Bump version of Build-Depends: on haskell-devscripts

 -- Louis Bettens <louis@bettens.info>  Mon, 29 Jul 2013 18:50:09 +0200

alex (3.0.5-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  [Joachim Breitner]
  * New upstream release
  * Enable tests

  [Erik de Castro Lopo]
  * Drop patches/fix-bang-pattern.diff (not needed any longer)
  * Add patches/cabal-test.diff to make the tests compile

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 May 2013 23:51:42 +0200

alex (3.0.2-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:40 +0200

alex (3.0.2-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 23:11:20 +0200
