=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>, Clint Adams <clint@debian.org>
-Standards-Version: 3.9.2
+         , Louis Bettens <louis@bettens.info>
+Standards-Version: 3.9.4
 Build-Depends: cdbs (>= 0.4.59),
-               haskell-devscripts (>= 0.7),
-               debhelper (>= 7),
+               haskell-devscripts (>= 0.8.19),
+               debhelper (>= 9),
                ghc,
                alex,
                happy,
