=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 #export DH_VERBOSE=1
 
 DEB_BUILD_DEPENDENCIES = build-arch
+
+DEB_ENABLE_TESTS = yes
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk
