## alex 3.1.3

=== debian/changelog ===
alex (3.1.3-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 09 Mar 2014 11:13:50 +0100
