=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
          , Louis Bettens <louis@bettens.info>
 Standards-Version: 3.9.4
 Build-Depends: cdbs (>= 0.4.59),
-               haskell-devscripts (>= 0.8.19),
+               haskell-devscripts (>= 0.9),
                debhelper (>= 9),
                ghc,
                alex,
