## alex 3.1.6

=== examples/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ALEX=../dist/build/alex/alex
-HC=ghc -Wall -fno-warn-unused-binds -fno-warn-missing-signatures -fno-warn-unused-matches -fno-warn-name-shadowing -fno-warn-unused-imports
+HC=ghc -Wall -fno-warn-unused-binds -fno-warn-missing-signatures -fno-warn-unused-matches -fno-warn-name-shadowing -fno-warn-unused-imports -fno-warn-tabs
 
 HAPPY=happy
 HAPPY_OPTS=-agc
@@ -10,7 +10,7 @@
 exeext=
 endif
 
-PROGS = lit Tokens Tokens_gscan words words_posn words_monad tiny haskell
+PROGS = lit Tokens Tokens_gscan words words_posn words_monad tiny haskell tiger
 
 ALEX_OPTS = --template=.. -g
 # ALEX_OPTS = --template=..
@@ -52,6 +52,9 @@
 haskell$(exeext) : haskell.hs
 	$(HC) $(HC_OPTS) -o $@ $^
 
+tiger$(exeext) : tiger.hs
+	$(HC) $(HC_OPTS) -main-is TigerLexer -o $@ $^
+
 .PHONY: clean
 clean:
 	rm -f *.o *.hi *.bin $(addsuffix $(exeext),$(PROGS)) \
