=== tests/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ALEX=../dist/build/alex/alex
 HC=ghc
-HC_OPTS=-Wall -fno-warn-unused-binds -fno-warn-missing-signatures -fno-warn-unused-matches -fno-warn-name-shadowing -fno-warn-unused-imports
+HC_OPTS=-Wall -fno-warn-unused-binds -fno-warn-missing-signatures -fno-warn-unused-matches -fno-warn-name-shadowing -fno-warn-unused-imports -fno-warn-tabs -Werror
 
 .PRECIOUS: %.n.hs %.g.hs %.o %.exe %.bin
 
@@ -10,7 +10,7 @@
 HS_PROG_EXT = .bin
 endif
 
-TESTS = unicode.x simple.x tokens.x tokens_posn.x tokens_gscan.x tokens_bytestring.x tokens_posn_bytestring.x tokens_strict_bytestring.x
+TESTS = unicode.x simple.x tokens.x tokens_posn.x tokens_gscan.x tokens_bytestring.x tokens_posn_bytestring.x tokens_strict_bytestring.x tokens_monad_bytestring.x tokens_monadUserState_bytestring.x null.x tokens_bytestring_unicode.x
 
 TEST_ALEX_OPTS = --template=..
 
@@ -19,9 +19,6 @@
 
 %.g.hs : %.x
 	$(ALEX) $(TEST_ALEX_OPTS) -g $< -o $@
-
-%.o : %.hs
-	$(HC) $(HC_OPTS) -c -o $@ $<
 
 CLEAN_FILES += *.n.hs *.g.hs *.info *.hi *.o *.bin *.exe
 
@@ -32,7 +29,7 @@
 %.run : %$(HS_PROG_EXT)
 	./$<
 
-%$(HS_PROG_EXT) : %.o
+%$(HS_PROG_EXT) : %.hs
 	$(HC) $(HC_OPTS) -package array -package bytestring $($*_LD_OPTS) $< -o $@
 
 all :: $(ALL_TESTS)
