=== debian/changelog ===
alex (3.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 01:22:48 -0500

alex (3.1.5-2) unstable; urgency=medium

  * Implement a stage1 profile build for bootstrapping.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Dec 2015 02:39:59 +0000

alex (3.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 23:39:07 -0500

alex (3.1.4-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:01 -0500

alex (3.1.4-3) experimental; urgency=medium

  * Add lintian override for spurious rpaths

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 15:03:49 +0200

alex (3.1.4-2.1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mark alex as Multi-Arch:foreign.

  [ Joachim Breitner ]
  * Attempt to make debian/get_version.hs work with GHC-7.10
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:51 +0200
