=== debian/control ===
Source: alex
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>, Clint Adams <clint@debian.org>, Louis Bettens <louis@bettens.info>
Priority: extra
Section: haskell
Build-Depends: cdbs (>= 0.4.59),
 haskell-devscripts (>= 0.10),
 debhelper (>= 9.20141010),
 dpkg-dev (>= 1.17.14),
 ghc (>= 7.10),
 alex <!stage1>,
 happy,
 jade,
 docbook-utils,
 docbook-xsl,
 docbook-xml,
 xsltproc,
 autoconf,
 libghc-quickcheck2-dev,
Standards-Version: 3.9.6
Homepage: http://www.haskell.org/alex/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: alex
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
Description: lexical analyser generator for Haskell
 Alex is a tool for generating lexical analysers in Haskell, given a
 description of the tokens to be recognised in the form of regular
 expressions. It is similar to the tool lex or flex for C/C++.
