## alex 3.1.7

=== debian/changelog ===
alex (3.1.7-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 24 May 2016 22:10:48 -0400

alex (3.1.6-2) unstable; urgency=medium

  * Bump standards version to 3.9.8 (no changes needed)
  * Convert 'debian/copyright' to dep5 format

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 06 May 2016 18:20:00 +0300
