=== debian/control ===
Source: alex
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>,
           Clint Adams <clint@debian.org>,
           Louis Bettens <louis@bettens.info>,
           Dmitry Bogatov <KAction@gnu.org>
Priority: extra
Section: haskell
Build-Depends: alex <!stage1>,
               autoconf,
               cdbs (>= 0.4.59),
               debhelper (>= 9.20141010),
               docbook-utils,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.17.14),
               ghc (>= 7.10),
               happy,
               haskell-devscripts (>= 0.10),
               jade,
               libghc-quickcheck2-dev,
               xsltproc
Standards-Version: 3.9.8
Homepage: http://www.haskell.org/alex/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git

Package: alex
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lexical analyser generator for Haskell
 Alex is a tool for generating lexical analysers in Haskell, given a
 description of the tokens to be recognised in the form of regular
 expressions. It is similar to the tool lex or flex for C/C++.
